
Foreman - Bug #6715

revert API v2 GET response to wrapped parameters using object node

07/22/2014 05:09 AM - Joseph Magen

Status: Rejected   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1605

  

Description

from

{

'id': 1

'name': 'xyz.com'

}

to

{

'domain': {

'id': 1

'name': 'xyz.com'

}

}

Related issues:

Related to Foreman - Bug #6248: Some JSON responses are still nested in a roo... Closed 06/17/2014

History

#1 - 07/22/2014 05:20 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1605 added

- Pull request deleted ()

#2 - 07/22/2014 05:28 AM - Dominic Cleal

Why?

#3 - 07/22/2014 05:29 AM - The Foreman Bot

- Target version set to 1.8.0

#4 - 07/24/2014 03:05 AM - Dominic Cleal

- Related to Bug #6248: Some JSON responses are still nested in a root node added

#5 - 07/30/2014 06:51 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#6 - 08/01/2014 02:32 AM - Dominic Cleal

- Status changed from Ready For Testing to Rejected

- Target version deleted (1.7.5)
PR seems to be closed.

#7 - 08/01/2014 10:33 AM - The Foreman Bot

- Target version set to 1.7.5

#8 - 08/01/2014 10:42 AM - Dominic Cleal

- Target version deleted (1.7.5)
